Subject: Re: [PATCH 2/3] ASoC: fsl_esai: Add support for imx8qm

From: Mark Brown <[email-masked]>
Date: Fri, 1 May 2020 11:21:58 +0100

On Fri, May 01, 2020 at 04:12:05PM +0800, Shengjiu Wang wrote:
> The difference for esai on imx8qm is that DMA device is EDMA.
> 
> EDMA requires the period size to be multiple of maxburst. Otherwise
> the remaining bytes are not transferred and thus noise is produced.

If this constraint comes from the DMA controller then normally you'd
expect the DMA controller integration to be enforcing this - is there no
information in the DMA API that lets us know that this constraint is
there?